﻿namespace QuizLib
{
    public class Quiz
    {
        public Question[] Questions { get; private set; }
        public string QuizName { get; private set; }

        public static Quiz Create()
        {
            return new Quiz
            {
                QuizName = "The WPF Quiz",
                Questions = new Question[]
                {
                    new Question
                    {
                        QuestionText="What does WPF stand for?",
                        AvailableAnswers=new string[] 
                        { 
                            "Windows Power Function", 
                            "Windows Presentation Foundation",
                            "Warm Puffy Fritters"
                        },
                        CorrectAnswerIndexes = new int[] { 1 }
                    },
                    new Question
                    {
                        QuestionText="Which platforms do WPF applications not run on?",
                        AvailableAnswers=new string[] 
                        { 
                            "Windows Vista", 
                            "Apple OSX",
                            "Linux",
                            "Unix"
                        },
                        CorrectAnswerIndexes = new int[] { 1, 2, 3 }
                    }
                }
            };
        }

        private Quiz() { }
    }
}