﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BusinessObjects;

namespace DataService
{
    public class CustomerDataService
    {
        public static Customer[] GetCustomers()
        {
            return CustomerBuilder.BuildCustomers(GetDataFileName());
        }

        public static void SaveCustomers(Customer[] customers)
        {
            CustomerBuilder.SaveCustomers(customers, GetDataFileName());
        }
        private static string GetDataFileName()
        {
            return System.Configuration.ConfigurationManager.AppSettings["CustomerDataFileName"];
        }
    }
}
