﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;
using System.Windows.Input;
using ViewModels;



namespace ViewModels.Commands
{
    public class GetCustomersCommand : ICommand
    {
        readonly CustomerViewModel _viewModel;

        public GetCustomersCommand(CustomerViewModel customerViewModel)
        {
            _viewModel = customerViewModel;
        }

        #region ICommand Members

        public bool CanExecute(object parameter)
        {
            return _viewModel != null;
        }

        public event EventHandler CanExecuteChanged;

        public void Execute(object parameter)
        {
            _viewModel.GetCustomers();
        }

        #endregion
    }
}
